commit:     587ef1171ffeffa68e6b8cfa48e80ae3f1022b50
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 22 10:09:17 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun Mar 22 10:09:32 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=587ef117

dev-util/redo: Update live ebuild

Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 dev-util/redo/redo-99999.ebuild | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

diff --git a/dev-util/redo/redo-99999.ebuild b/dev-util/redo/redo-99999.ebuild
index 6e92129f9b4..eb551f91c49 100644
--- a/dev-util/redo/redo-99999.ebuild
+++ b/dev-util/redo/redo-99999.ebuild
@@ -2,9 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python3_{6,7,8} )
 PYTHON_REQ_USE="sqlite"
-inherit git-r3 multilib multiprocessing python-single-r1
+inherit git-r3 multilib multiprocessing python-utils-r1 python-single-r1
 
 DESCRIPTION="Smaller, easier, more powerful, and more reliable than make"
 HOMEPAGE="https://github.com/apenwarr/redo";
@@ -13,7 +13,7 @@ EGIT_REPO_URI="https://github.com/apenwarr/redo";
 LICENSE="LGPL-2"
 SLOT="0"
 KEYWORDS=""
-REQUIRED_USE=${PYTHON_REQUIRED_USE}
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 BDEPEND="
        $(python_gen_cond_dep '
@@ -26,6 +26,10 @@ RDEPEND="
        ${BDEPEND}
 "
 
+src_configure() {
+       echo ${PYTHON} > redo/whichpython || die
+}
+
 src_compile() {
        ./do -j$(makeopts_jobs) build || die
 }
@@ -38,7 +42,7 @@ src_test() {
 src_install() {
        DESTDIR="${D}" \
        DOCDIR="${D}/usr/share/doc/${PF}" \
-       LIBDIR="${D}/usr/$(get_libdir)/${PN}" \
+       LIBDIR="${D}/$(python_get_sitedir)/${PN}" \
        ./do -j$(makeopts_jobs) \
                install || die
 
@@ -47,4 +51,6 @@ src_install() {
        sed -i \
                -e 's|/lib/|/'"$(get_libdir)"'/|g' \
                "${D}"/usr/bin/* || die
+
+       python_optimize
 }

Reply via email to